## keyman 18.0.199

=== debian/changelog ===
keyman (18.0.199-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Thu, 27 Feb 2025 14:17:40 -0500

keyman (18.0.199-1) unstable; urgency=medium

  * closes: 1092463
  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Tue, 25 Feb 2025 14:57:28 +0100
