=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  perl,
  pkgconf,
  python3-all (>= 3.5),
+ python3-build,
  python3-dbus,
  python3-fonttools,
  python3-gi,
@@ -39,10 +40,11 @@
  python3-requests,
  python3-sentry-sdk (>= 1.1),
  python3-setuptools,
+ python3-venv,
  python3-xdg,
  xserver-xephyr,
  xvfb,
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Git: https://github.com/keymanapp/keyman.git -b beta [linux/debian]
 Vcs-Browser: https://github.com/keymanapp/keyman/tree/beta/linux/debian
 Homepage: https://www.keyman.com
