=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ https://downloads.keyman.com/linux/beta/@ANY_VERSION@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
