## keyman 18.0.235

=== debian/changelog ===
keyman (18.0.235-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 23 Apr 2025 11:21:04 +0200
