=== debian/control ===
--- 
+++ 
@@ -45,8 +45,8 @@
  xserver-xephyr,
  xvfb,
 Standards-Version: 4.7.2
-Vcs-Git: https://github.com/keymanapp/keyman.git -b beta [linux/debian]
-Vcs-Browser: https://github.com/keymanapp/keyman/tree/beta/linux/debian
+Vcs-Git: https://github.com/keymanapp/keyman.git -b stable-18.0 [linux/debian]
+Vcs-Browser: https://github.com/keymanapp/keyman/tree/stable-18.0/linux/debian
 Homepage: https://www.keyman.com
 Rules-Requires-Root: binary-targets
