## keyman 18.0.236

=== debian/changelog ===
keyman (18.0.236-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 12 May 2025 16:00:42 +0200
