## keyman 18.0.238

=== debian/changelog ===
keyman (18.0.238-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 04 Jun 2025 19:14:08 +0200
