## keyman 18.0.240

=== debian/changelog ===
keyman (18.0.240-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 27 Aug 2025 18:02:36 +0200
