=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Eberhard Beilharz <eb1@sil.org>,
 Build-Depends:
  bash-completion,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  gawk,
  gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
