## keyman 18.0.241

=== debian/changelog ===
keyman (18.0.241-1) unstable; urgency=medium

  * remove onboard-keyman recommends (closes: 1115423)
  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 18 Sep 2025 11:35:01 +0200
