## keyman 18.0.242

=== core/meson_options.txt ===
option('keyman_core_tests', type: 'boolean', value: true)
