=== linux/ibus-keyman/meson_options.txt ===
option('keyman_deb_pkg_build', type: 'boolean', value: false, description: 'Building .deb package?')
