=== debian/control ===
--- 
+++ 
@@ -58,8 +58,6 @@
  ibus-keyman (>= ${binary:Version}),
  ibus-keyman (<< ${binary:Version}.1~),
  ${misc:Depends},
-Recommends:
- onboard-keyman,
 Description: Type in your language with Keyman for Linux
  Keyman makes it possible for you to type in over 2,000 languages on Windows,
  macOS, Linux, iPhone, iPad, Android tablets and phones, and even instantly
