## keyman 18.0.243

=== debian/changelog ===
keyman (18.0.243-1) unstable; urgency=medium

  * replace dbus-x11 dependency with default-dbus-session-bus | dbus-session-bus
    (closes: 1117068)
  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 15 Oct 2025 12:09:24 +0200
