=== debian/changelog ===
keyman (18.0.244-1build1) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Dec 2025 14:37:13 +0100

keyman (18.0.244-1) unstable; urgency=medium

  * replace dbus-x11 dependency with default-dbus-session-bus | dbus-session-bus
    (closes: 1117068)
  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 10 Nov 2025 17:31:32 +0100
