## keyman 18.0.245

=== debian/changelog ===
keyman (18.0.245-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 04 Dec 2025 10:18:49 +0100
