## keyman 18.0.246

=== debian/changelog ===
keyman (18.0.246-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 04 Feb 2026 13:48:31 +0100
